
Redmine - Defect #16159

Wrong calculation of spent time field on Issues report

2014-02-24 09:17 - Sergey Shlykov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I created top issue (Main feature) and one child issue for the top issue (feature 1).

After that, I set "Spent time" for the child issue (feature 1) to 0.5 hours (or 1 hour, or 5 hours . . ).

Issue report for the Main feature shows recalculated values for the spent time (pic. 1).

main_feature_issue

Project's Issues report shows non-recalculated value for the "Spent time" column of the Main feature. It shows 0 hours but have to

display 0.5 hours as sum of all spent times for all child issues. (pic. 2).

issues list

Redmine production version 2.1.4.

Test project was reproduced on public redmine server: http://redmine-online.com/projects/sxp_test/issues

Related issues:

Related to Redmine - Defect #17550: Spent time in exported CSV is wrong Closed

Related to Redmine - Feature #11253: Total time spent from subtasks on the is... Closed

History

#1 - 2014-02-24 09:21 - Sergey Shlykov

 main_feature_issue.PNG 

 issues list.PNG 

#2 - 2014-09-18 19:02 - Heiko Robert

duplicates/same like 17550

#3 - 2014-10-17 11:47 - Toshi MARUYAMA

- Related to Defect #17550: Spent time in exported CSV is wrong added

#4 - 2017-01-15 14:22 - Go MAEDA

- Related to Feature #11253: Total time spent from subtasks on the issue list added

#5 - 2017-01-15 14:22 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in Redmine 3.1 (#11253).

A parent issue displays its own spent time and total spent time.
